Results 1 to 5 of 5

Thread: apt-get update lucid-security GPG error

  1. #1
    Join Date
    Jun 2011
    Beans
    3

    Arrow apt-get update lucid-security GPG error

    Hi,

    I get this error when running apt-get update on Ubuntu 10.04.1 Server. Never got it before today, apt-get update is always error-free, unless there are connection issues.

    W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://security.ubuntu.com lucid-security Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>

    W: Failed to fetch http://security.ubuntu.com/ubuntu/di...curity/Release

    W: Some index files failed to download, they have been ignored, or old ones used instead.
    Any advice would be appreciated.

  2. #2
    Join Date
    Apr 2010
    Beans
    1,584
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: apt-get update lucid-security GPG error

    Quote Originally Posted by agnawt View Post
    Hi,

    I get this error when running apt-get update on Ubuntu 10.04.1 Server. Never got it before today, apt-get update is always error-free, unless there are connection issues.



    Any advice would be appreciated.
    You added a repository without adding the PGP key?

    Which PPA or Repository were you trying to add?


  3. #3
    Join Date
    Jun 2011
    Beans
    3

    Arrow Re: apt-get update lucid-security GPG error

    I did not add any repo (manually) without adding a corresponing PGP key. These are "built-in" repo(s) AFAIK. I can see it fail on
    Err http://security.ubuntu.com lucid-security Release
    during apt-get update

    Specifically from my /etc/apt/sources.list:
    Code:
    deb http://security.ubuntu.com/ubuntu lucid-security main restricted
    deb-src http://security.ubuntu.com/ubuntu lucid-security main restricted
    deb http://security.ubuntu.com/ubuntu lucid-security universe
    deb-src http://security.ubuntu.com/ubuntu lucid-security universe
    deb http://security.ubuntu.com/ubuntu lucid-security multiverse
    deb-src http://security.ubuntu.com/ubuntu lucid-security multiverse
    Commenting out those lines removed the error.

    Okay, that is weird, I un-commented them one-by-one and even with them all un-commented there is still no error now. What happened here? Some little cache get flushed?

    Still all working. Weird.

  4. #4
    Join Date
    Apr 2010
    Beans
    1,584
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: apt-get update lucid-security GPG error

    Quote Originally Posted by agnawt View Post
    I did not add any repo (manually) without adding a corresponing PGP key. These are "built-in" repo(s) AFAIK. I can see it fail on

    during apt-get update

    Specifically from my /etc/apt/sources.list:
    Code:
    deb http://security.ubuntu.com/ubuntu lucid-security main restricted
    deb-src http://security.ubuntu.com/ubuntu lucid-security main restricted
    deb http://security.ubuntu.com/ubuntu lucid-security universe
    deb-src http://security.ubuntu.com/ubuntu lucid-security universe
    deb http://security.ubuntu.com/ubuntu lucid-security multiverse
    deb-src http://security.ubuntu.com/ubuntu lucid-security multiverse
    Commenting out those lines removed the error.

    Okay, that is weird, I un-commented them one-by-one and even with them all un-commented there is still no error now. What happened here? Some little cache get flushed?

    Still all working. Weird.
    You could re-enable them and try this:
    Code:
    sudo rm -rf /var/lib/apt/lists/* 
    sudo apt-get update
    You are going to want to have those available for security reasons, just saying.

  5. #5
    Join Date
    Jun 2011
    Beans
    3

    Arrow Re: apt-get update lucid-security GPG error

    Yeah, it still works after that "flush" so something probably was broken, maybe in /var/lib/apt/lists/ maybe I'll never know unless it happens again and I empty that dir again. Thanks for the tip.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •